## ignition-math4 4.0.0+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-math4 VERSION 4.0.0)

#============================================================================
# Find ignition-cmake
#============================================================================
# If you get an error at this line, you need to install ignition-cmake
find_package(ignition-cmake0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project()


#============================================================================
# Set project-specific options
#============================================================================

# ignition-math currently has no options that are unique to it


#============================================================================
# Search for project-specific dependencies
#============================================================================

# ignition-math currently has no dependencies that are unique to it

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

# Find the Ignition-Math library
find_package(ignition-math4 REQUIRED)

add_executable(vector2_example vector2_example.cc)
target_link_libraries(vector2_example ${IGNITION-MATH_LIBRARIES})

add_executable(triangle_example triangle_example.cc)
target_link_libraries(triangle_example ${IGNITION-MATH_LIBRARIES})

add_executable(graph_example graph_example.cc)
target_link_libraries(graph_example ${IGNITION-MATH_LIBRARIES})

=== src/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable
ign_get_libsources_and_unittests(sources gtest_sources)

# Create the library target
ign_add_library(${PROJECT_LIBRARY_TARGET_NAME} ${sources})

# Turn on C++14 support for the library
ign_set_project_public_cxx_standard(14)

# Create installation instructions for the library target. This must be called
# in the same scope that the target is created.
ign_install_library()

# Build the unit tests
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources})

# graph namespace
add_subdirectory(graph)

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
  ${CMAKE_BINARY_DIR}/include
)

configure_file (test_config.h.in ${PROJECT_BINARY_DIR}/test_config.h)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)

=== src/graph/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "gtest_sources" variable
ign_get_libsources_and_unittests(sources gtest_sources)

# Build the unit tests
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources})

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(tests
)

link_directories(${PROJECT_BINARY_DIR}/test)

# Test symbols having the right name on linux only
if (UNIX AND NOT APPLE)
  set(PATH_TO_PROJECT_LIBRARY )
  configure_file(all_symbols_have_version.bash.in ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>)
endif()

ign_build_tests(TYPE INTEGRATION SOURCES ${tests})

=== include/ignition/math/CMakeLists.txt ===

ign_install_all_headers(ADDITIONAL_DIRS graph)

=== debian/changelog ===
ignition-math4 (4.0.0+dfsg1-5ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 14:45:17 +0200

ignition-math4 (4.0.0+dfsg1-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:22 +0100

ignition-math4 (4.0.0+dfsg1-5) unstable; urgency=medium

  * Added patch to solve problems with mips(el) and hppa in tests
    (Closes: #888220)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 03 Apr 2018 22:37:17 +0000

ignition-math4 (4.0.0+dfsg1-4) unstable; urgency=medium

  * Use ffloat-store in i386 to fix problems with floating point precision
    Patch thanks to Steve Langasek (Closes: #888219)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Mar 2018 13:16:33 +0000

ignition-math4 (4.0.0+dfsg1-3) unstable; urgency=medium

  * Do not set any of the SSE flags in rules file
    (Closes: #890384)
  * Move control Vcs- to salsa
  * Use https in debian copyright

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 21 Mar 2018 17:46:55 +0000

ignition-math4 (4.0.0+dfsg1-2) unstable; urgency=medium

  * Update patch for failing test in i386
  * Update to compat 11

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 27 Feb 2018 08:45:43 +0000

ignition-math4 (4.0.0+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * Initial release (Closes: #882233)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 03 Jan 2018 00:43:21 +0100

=== debian/control ===
Source: ignition-math4
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 11),
               libgtest-dev,
               libignition-cmake-dev,
               python2,
               ruby-ronn
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ignition-math4
Vcs-Git: https://salsa.debian.org/science-team/ignition-math4.git
Homepage: http://ignitionrobotics.org/libraries/math

Package: libignition-math4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Ignition Robotics Math Library - Shared library
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the shared library

Package: libignition-math4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Provides: libignition-math-dev
Depends: libignition-math4 (= ${binary:Version}),
         libignition-cmake-dev,
         ${misc:Depends}
Description: Ignition Robotics Math Library - Development files
 A small, fast, and high performance math library. This library is a
 self-contained set of classes and functions suitable for robot applications.
 .
 Ignition Robtics is a set of simple libraries that provide useful
 functionality to bootstrap robot applications. The included libraries
 encapsulate all the essentials, such as common math data types, console
 logging, 3D mesh management, and asynchronous message passing.
 .
 The package contains the development files

=== debian/tests/control ===
Tests: build
Depends: libignition-math4-dev, pkg-config, build-essential
